Package org.jboss.resteasy.wadl

## Class ResteasyWadlMethodParamMetaData

- java.lang.Object
- - org.jboss.resteasy.wadl.ResteasyWadlMethodParamMetaData

-     public class ResteasyWadlMethodParamMetaData
      extends Object

  Author:
    Weinan Li

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ResteasyWadlMethodParamMetaData.MethodParamType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyWadlMethodParamMetaData​(Class<?> type, Annotation[] annotations, ResteasyWadlMethodParamMetaData.MethodParamType paramType, String paramName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Annotation[]` | `getAnnotations()` |
    `String` | `getParamName()` |
    `ResteasyWadlMethodParamMetaData.MethodParamType` | `getParamType()` |
    `Class<?>` | `getType()` |
    `String` | `getTypeName()` |
    `void` | `setAnnotations​(Annotation[] annotations)` |
    `void` | `setParamName​(String paramName)` |
    `void` | `setParamType​(ResteasyWadlMethodParamMetaData.MethodParamType paramType)` |
    `void` | `setType​(Class<?> type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWadlMethodParamMetaData

          public ResteasyWadlMethodParamMetaData​(Class<?> type,
                                                 Annotation[] annotations,
                                                 ResteasyWadlMethodParamMetaData.MethodParamType paramType,
                                                 String paramName)

  - ### Method Detail

    - #### getType

          public Class<?> getType()

    - #### getTypeName

          public String getTypeName()

    - #### setType

          public void setType​(Class<?> type)

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations​(Annotation[] annotations)

    - #### getParamType

          public ResteasyWadlMethodParamMetaData.MethodParamType getParamType()

    - #### setParamType

          public void setParamType​(ResteasyWadlMethodParamMetaData.MethodParamType paramType)

    - #### getParamName

          public String getParamName()

    - #### setParamName

          public void setParamName​(String paramName)